aboutsummaryrefslogtreecommitdiffstats
path: root/www/apache13-modssl
diff options
context:
space:
mode:
authortg <tg@FreeBSD.org>2000-07-05 20:37:06 +0800
committertg <tg@FreeBSD.org>2000-07-05 20:37:06 +0800
commit3a84881f168162a487490bbbd275ca05b7f5560d (patch)
treee888acd7e17d635c1f902fccb1eefdf89f15641a /www/apache13-modssl
parent83513fef56c1c9996eb040a93488ed7837fac927 (diff)
downloadfreebsd-ports-gnome-3a84881f168162a487490bbbd275ca05b7f5560d.tar.gz
freebsd-ports-gnome-3a84881f168162a487490bbbd275ca05b7f5560d.tar.zst
freebsd-ports-gnome-3a84881f168162a487490bbbd275ca05b7f5560d.zip
As threatened on freebsd-ports: all startup scripts know about the two
options `start' and `stop' now (unless I have forgotten any). This allows us to call the scripts from /etc/rc.shutdown with the correct option. The (42 or so) ports that already DTRT before are unchanged.
Diffstat (limited to 'www/apache13-modssl')
-rw-r--r--www/apache13-modssl/files/apache.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/www/apache13-modssl/files/apache.sh b/www/apache13-modssl/files/apache.sh
new file mode 100644
index 000000000000..619918254852
--- /dev/null
+++ b/www/apache13-modssl/files/apache.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+start)
+ [ -x ${PREFIX}/sbin/apachectl ] && ${PREFIX}/sbin/apachectl start > /dev/null && echo -n ' apache'
+ ;;
+stop)
+ [ -r /var/run/httpd.pid ] && ${PREFIX}/apachectl stop > /dev/null && echo -n ' apache'
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+esac
+
+exit 0